# Website-Generator für die QR-Code-Webpage
Erzeugt pseudo-dynamisch den Source-Code für die QR-Website. Der Hauptteil des Codes befindet sich in einem Shell-Script, welches einfach den Inhalt des Verzeichnisses `content/` ausliest. HTML-Dateien in diesem Ordner werden in die Navbar eingefügt, und für jede Datei wird einmal der Kopf und der Fuß des HTML Layouts angefügt. Die Ausgabe des Scripts landet im `output/`-Ordner.

Die Dateien im `content`-Ordner sollten mit einem `<main>`-Tag beginnen und enden.

Inhalte von `script.html` und `footer.html`werden automatisch in jede Seite kopiert.

Als Vorlage diente das Bootstrap-Example `sticky footer navbar`[^ex]

Die fertigen Dateien werden im `output`-Ordner abgelegt.

# QR-Code Generator

`qrencode.sh` ist ein Script welches automatisch QR-Codes mit Links für unseren Webhost auf `itlabs.at` bei Hoststar erzeugt. Auch dieses Script ließt aus dem `content`-Ordner aus.

Damit das Script ordnungsgemäß funktioniert wird "qrencode" auf Linux benötigt![^qre]

QR-Codes werden im `qr`-Ordner annotiert abgelegt.

[^qre]: [qrencode](https://fukuchi.org/works/qrencode/)
[^ex]: [Bootstrap Example: Sticky Footer Navbar](https://getbootstrap.com/docs/4.0/examples/sticky-footer-navbar/)
